Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
name_constraint.h File Reference
`#include <botan/asn1_obj.h>`
`#include <ostream>`

Go to the source code of this file.

## Classes
class | Botan::GeneralName
| X.509 GeneralName Type. More...
class | Botan::GeneralSubtree
| A single Name Constraint. More...
class | Botan::NameConstraints
| Name Constraints. More...

## Namespaces
| Botan

## Functions
std::ostream & | Botan::operator<< (std::ostream &os, const GeneralName &gn)
std::ostream & | Botan::operator<< (std::ostream &os, const GeneralSubtree &gs)